import { get, put, post, deletes } from '@/http/index'

// 查询定检任务子列表
export const getSmaskSub = async (data) => {
  return await get('/als/smaskSub/list', data)
}

// 新增定检任务子
export const addSmaskSub = async (data) => {
  return await post('/als/smaskSub', data)
}

// 修改定检任务子
export const updateSmaskSub = async (data) => {
  return await put('/als/smaskSub', data)
}

// 删除定检任务子
export const removeSmaskSub = async (id) => {
  return await deletes('/als/smaskSub/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
